<?php
	$rdata = array_map('to_utf8', array_map('nl2br', array_map('html_attr_tags_ok', $rdata)));
	$jdata = array_map('to_utf8', array_map('nl2br', array_map('html_attr_tags_ok', $jdata)));
?>
<script>
	$j(function() {
		var tn = 'depenses';

		/* data for selected record, or defaults if none is selected */
		var data = {
			nature: <?php echo json_encode(array('id' => $rdata['nature'], 'value' => $rdata['nature'], 'text' => $jdata['nature'])); ?>,
			justificatif: <?php echo json_encode(array('id' => $rdata['justificatif'], 'value' => $rdata['justificatif'], 'text' => $jdata['justificatif'])); ?>,
			agence: <?php echo json_encode(array('id' => $rdata['agence'], 'value' => $rdata['agence'], 'text' => $jdata['agence'])); ?>,
			service: <?php echo json_encode(array('id' => $rdata['service'], 'value' => $rdata['service'], 'text' => $jdata['service'])); ?>,
			banque: <?php echo json_encode(array('id' => $rdata['banque'], 'value' => $rdata['banque'], 'text' => $jdata['banque'])); ?>
		};

		/* initialize or continue using AppGini.cache for the current table */
		AppGini.cache = AppGini.cache || {};
		AppGini.cache[tn] = AppGini.cache[tn] || AppGini.ajaxCache();
		var cache = AppGini.cache[tn];

		/* saved value for nature */
		cache.addCheck(function(u, d) {
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'nature' && d.id == data.nature.id)
				return { results: [ data.nature ], more: false, elapsed: 0.01 };
			return false;
		});

		/* saved value for justificatif */
		cache.addCheck(function(u, d) {
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'justificatif' && d.id == data.justificatif.id)
				return { results: [ data.justificatif ], more: false, elapsed: 0.01 };
			return false;
		});

		/* saved value for agence */
		cache.addCheck(function(u, d) {
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'agence' && d.id == data.agence.id)
				return { results: [ data.agence ], more: false, elapsed: 0.01 };
			return false;
		});

		/* saved value for service */
		cache.addCheck(function(u, d) {
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'service' && d.id == data.service.id)
				return { results: [ data.service ], more: false, elapsed: 0.01 };
			return false;
		});

		/* saved value for banque */
		cache.addCheck(function(u, d) {
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'banque' && d.id == data.banque.id)
				return { results: [ data.banque ], more: false, elapsed: 0.01 };
			return false;
		});

		cache.start();
	});
</script>

